IntelliCAD 11.1 Object Library
GetBulge Method
See Also 
Index

Index of the line segment.

Polyline Object : GetBulge Method

Description

Returns the bulge value at a given vertex

Syntax

Visual Basic
Public Function GetBulge( _
   ByVal Index As Integer _
) As Double

Parameters

Index

Index of the line segment.

Remarks

A bulge value of 0 indicates a straight line to the next vertex. A bulge value of 1 indicates a semi-circle to the next vertex. A negative bulge value indicates an arc in clockwise direction to the next vertex; a positive bulge value indicates an arc in the counterclockwise direction to the next vertex.

Example

Private Sub GetBulge_Example()

     ' This example adds a polyline to the drawing.

     ' It then uses the GetBulge method to obtain the bulge factor

     ' and the SetBulge to change it.

     Dim myDoc As IntelliCAD.Document

     Dim myPline As IntelliCAD.LWPolyline

     Dim myPoints As points

     Dim pt As Point

     Set myDoc = ActiveDocument

     Set myPoints = Library.CreatePoints

     Set pt = Library.CreatePoint(1, 1, 0)

     myPoints.Add

     myPoints(myPoints.Count - 1).x = pt.x

     myPoints(myPoints.Count - 1).y = pt.y

     myPoints(myPoints.Count - 1).z = pt.z

     Set pt = Library.CreatePoint(3, 3, 0)

     myPoints.Add

     myPoints(myPoints.Count - 1).x = pt.x

     myPoints(myPoints.Count - 1).y = pt.y

     myPoints(myPoints.Count - 1).z = pt.z

     Set pt = Library.CreatePoint(7, 4, 0)

     myPoints.Add

     myPoints(myPoints.Count - 1).x = pt.x

     myPoints(myPoints.Count - 1).y = pt.y

     myPoints(myPoints.Count - 1).z = pt.z

     Set myPline = ThisDocument.ModelSpace.AddLightWeightPolyline(myPoints)

     myPline.Update

     ThisDocument.Application.ZoomExtents

     ' Find the bulge of the 2nd segment

     Dim currentBulge As Double

     currentBulge = myPline.GetBulge(2)

 

     MsgBox "The bulge for the second segment is " & currentBulge, , "Get/SetBulge Example"

     

     ' Change the bulge of the 2nd segment

     myPline.SetBulge 2, 1.3

     myPline.Update

     MsgBox "The bulge for the second segment is now " & myPline.GetBulge(2), , "Get/SetBulge Example"

End Sub

See Also

© 2022 IntelliCAD Technology Consortium. All Rights Reserved.